# mdl-pack

Material Design Lite package complete, simple and easy to use for web projects, compiled from original Google sources.

## About

This is an UNOFFICIAL version just compiled to provide a complete and *theme ready* local installation from only one package.

It contains:

- Material Icons
- JS components lib
- All possible CSS themes from [Custom CSS theme builder](https://getmdl.io/customize/index.html)

## Instalation

### NPM

```
npm i -S mdl-pack
```

### Yarn

```
yarn add mdl-pack
```

### Snipacks

```
snipacks add unpkg icons.css mdl-pack/dist/icons.css
snipacks add unpkg theme.css mdl-pack/dist/${primary}-${accent}.css
snipacks add unpkg cpnts.js  mdl-pack/dist/components.js
```

## Why not Google CDN?

Google CDN is great and serves all files needed to apply a Material Design Lite style for any website.

But... it is a CDN.

If you want to deploy only websites, blogs or any **online** content with MDL styles, Google CDN can serve you very well.

But if you want/need to:

1. Deploy content with offline cache support or Progressive Web Apps, using HTML5 AppCache or Service Workers
2. Build a Cordova mobile app with MDL
3. Develop using an offline MDL copy including all you need

Then... Google CDN will not serve you!

So, **mdl-pack** came to the rescue!

***

Documentation and all other info about Google Material Design Lite can be found at [official website](https://getmdl.io/).
